:root{
    --accent: #e6094d;
    --text-on-accent: white;
}

*{
    box-sizing: border-box;
}

html{
    height: 100vh;
}
body{
    height: 100%;
    margin: 0;
    font-family: Montserrat, sans-serif;
}
img{
  max-width: 100%;
}

.form-group{
  margin-bottom: 20px;
}

/* Login */
#login{
    height: 100%;
    background-image: linear-gradient(69deg, rgba(200, 100, 150, 0.40), rgba(150, 100, 200, 0.76)), url("/assets/fachada-universidade-lusofona.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    backdrop-filter: blur(10px);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
}
#login h1{
	margin: 0;
	margin-bottom: 5px;
}

.quote-welcome{
	text-align: center;
	margin-bottom: 10px;
	max-width: 500px;
}
.img-welcome{
	width: 100px;
	height: 100px;
	margin-bottom: 20px;
}
.input-welcome{
    width: 300px;
    height: 55px;
    padding: 10px 20px;
    border: none;
    margin: 0;
    border-radius: 0;
    background: #333;
    color: white;
}
.input-welcome:focus,
.input-welcome:hover{
    background: #555;
    outline: none;
}
.input-welcome::-webkit-input-placeholder{
	color: rgba(255, 255, 255, 0.7);
}
.button-welcome{
    width: 300px;
    height: 50px;

    margin: 0;
    margin-top: 10px;
    font-size: 15px;
    font-weight: 600;
    border: none;
    background-color: var(--accent);
    color: var(--text-on-accent);
    cursor: pointer;
}

/* Layout */
#layout{
  display: grid;
  grid-template-areas:
    "a a"
    "b c";
  grid-template-columns: max-content 1fr;
  grid-template-rows: max-content 1fr;
  height: 100vh;
}
#layout > #header{
  grid-area: a;
  width: 100%;
  height: 60px;
  background: black;
  border-bottom: 2px solid #e6094d;
  color: white;

  font-size: 20px;
  display: flex;
  align-items: center;
  padding: 10px;
}
#layout > #header > #header-user{
  margin-left: auto;
  font-size: 16px;
}
#layout > #sidebar{
  grid-area: b;
  display: flex;
  flex-direction: column;
  width: 250px;
  height: 100%;
  padding: 20px 0px;
  background: #191919;
  overflow: auto;
  scrollbar-width: thin;
}
#layout > #main{
  grid-area: c;
  background: #f0f0ff;
  padding: 20px;
  overflow: auto;
}
#layout > #main > .card{
  max-width: 1250px;
  box-shadow: 0 0 50px rgba(0,0,0,0.1), 0 0 10px rgba(0,0,0,0.1);
}

#layout > #sidebar .sidebar-item-separator{
	color: rgba(255, 255, 255, 0.6);
	padding: 10px 10px;
	border-bottom: 1px solid rgba(255, 255, 255, 0.6);
}
#layout > #sidebar .sidebar-item-separator:not(:first-child){
	padding-top: 20px;
}

#layout > #sidebar .sidebar-item-group:not(:last-child){
  border-bottom: 1px solid rgba(255, 255, 255, 0.6);
}
#layout > #sidebar .sidebar-item a{
  display: block;
  color: white;
  /* margin: 2px 0px; */
  padding: 7px 10px;
  padding-left: 20px;
  text-decoration: none;
}
#layout > #sidebar .sidebar-item a:hover{
  background: #2a2a2a;
}

#layout > #sidebar .sidebar-item-group > .sidebar-item{
  display: flex;
  align-items: center;
  color: white;
  padding: 10px;
  cursor: pointer;
}
#layout > #sidebar .sidebar-item-group > .sidebar-item::after{
  content: "";
  display: inline-block;
  width: 0; height: 0;
  border: 5px solid white;
  margin-left: auto;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: transparent;
}
#layout > #sidebar .sidebar-item-group.open > .sidebar-item::after{
  transform: rotate(90deg);
  transform-origin: 0px center;
}
#layout > #sidebar .sidebar-item-group > .sidebar-item:hover{
  background: #222;
}
#layout > #sidebar .sidebar-item-group.open > .sidebar-item{
  border-bottom: 1px solid rgba(255, 255, 255, 0.6);
}
#layout > #sidebar .sidebar-item-group > .sidebar-item i{
  color: var(--accent);
  margin-right: 10px;
  margin-bottom: -2px;
  width: 20px;
  text-align: center;
}
#layout > #sidebar .sidebar-item-group .sidebar-subitems{
  padding: 5px 0px;
  background: #333;
}
#layout > #sidebar .sidebar-item-group:not(.open) .sidebar-subitems{
  display: none;
}

#layout > #sidebar .sidebar-bottom{
  margin-top: auto;
  padding-top: 20px;
}
#layout > #sidebar .sidebar-bottom .btn{
  width: 100%;
  border-radius: 0;
}
#layout > #sidebar hr{
  margin: 0px;
  margin-top: 2px;
  background: white;
  opacity: 0.3;
}

/* Card */
html .card{
	border: none;
}
html .card .card-header{
  display: flex;
  align-items: center;
  /* background: white; */
  padding: 15px 25px;
}
html .card .card-body{
  padding: 25px;
}
html .card .card-header h5{
  display: inline-block;
  margin-bottom: 4px;
}
html .card .card-header .breadcrumb-card{
  display: inline-flex;
  margin: 0;
  margin-left: 20px;
  padding: 0;
  font-size: 0.8em;
  background: none;
}
html .card .card-header .breadcrumb-card .breadcrumb-item + .breadcrumb-item::before {
  content: "•";
}

#toolbar-buttons {
  display: flex;
  margin-left: auto;
}
#toolbar-buttons > *{
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 0px 20px;
}
#toolbar-buttons > *:last-child{
  padding-right: 0;
}
#toolbar-buttons > *:not(:last-child){
  border-right: 1px solid #ccc;
}

.dt-urls label{
	padding: 5px 10px;
	border: 1px solid var(--bs-primary);
	border-radius: 5px;
	cursor: pointer;
}
.dt-urls label:has(input:checked){
	background: var(--bs-primary);
	color: white;
}
.dt-urls label input{
	display: none;
}